<?php
/**
 * Journey Section options
 *
 * @package Theme Palace
 * @subpackage Personify
 * @since Personify 0.1
 */

// Add Journey section
$wp_customize->add_section( 'personify_journey_section', array(
	'title'             => esc_html__( 'Journey Section','personify' ),
	'description'       => esc_html__( 'Journey Section options.', 'personify' ),
	'panel'             => 'personify_front_page_panel',
) );

// Journey content enable control and setting
$wp_customize->add_setting( 'personify_theme_options[journey_section_enable]', array(
	'default'			=> 	$options['journey_section_enable'],
	'sanitize_callback' => 'personify_sanitize_switch_control',
) );

$wp_customize->add_control( new Personify_Switch_Control( $wp_customize, 'personify_theme_options[journey_section_enable]', array(
	'label'             => esc_html__( 'Journey Section Enable', 'personify' ),
	'section'           => 'personify_journey_section',
	'on_off_label' 		=> personify_enable_options(),
) ) );

// Show page drop-down setting and control
$wp_customize->add_setting( 'personify_theme_options[journey_content_page]', array(
	'sanitize_callback' => 'personify_sanitize_page'
) );

$wp_customize->add_control( 'personify_theme_options[journey_content_page]', array(
	'label'           	=> esc_html__( 'Select Page', 'personify' ),
	'section'        	=> 'personify_journey_section',
	'active_callback' 	=> 'personify_is_journey_section_enable',
	'type'				=> 'dropdown-pages'
) );
