<?php
/**
 * Excerpt options
 *
 * @package Theme Palace
 * @subpackage Personify
 * @since Personify 0.1
 */

// Add excerpt section
$wp_customize->add_section( 'personify_single_post_section', array(
	'title'             => esc_html__( 'Single Post/Page','personify' ),
	'description'       => esc_html__( 'Options to change the single posts/pages globally.', 'personify' ),
	'panel'             => 'personify_theme_options_panel',
) );

// Archive date meta setting and control.
$wp_customize->add_setting( 'personify_theme_options[single_post_show_date]', array(
	'default'           => $options['single_post_show_date'],
	'sanitize_callback' => 'personify_sanitize_switch_control',
) );

$wp_customize->add_control( new Personify_Switch_Control( $wp_customize, 'personify_theme_options[single_post_show_date]', array(
	'label'             => esc_html__( 'Show Date', 'personify' ),
	'section'           => 'personify_single_post_section',
	'on_off_label' 		=> array(
		'on' 		=> esc_html__( 'Yes', 'personify' ),
		'off' 		=> esc_html__( 'No', 'personify' )
	)
) ) );

// Archive author meta setting and control.
$wp_customize->add_setting( 'personify_theme_options[single_post_show_author]', array(
	'default'           => $options['single_post_show_author'],
	'sanitize_callback' => 'personify_sanitize_switch_control',
) );

$wp_customize->add_control( new Personify_Switch_Control( $wp_customize, 'personify_theme_options[single_post_show_author]', array(
	'label'             => esc_html__( 'Show Author', 'personify' ),
	'section'           => 'personify_single_post_section',
	'on_off_label' 		=> array(
		'on' 		=> esc_html__( 'Yes', 'personify' ),
		'off' 		=> esc_html__( 'No', 'personify' )
	)
) ) );

// Single pagination setting and control.
$wp_customize->add_setting( 'personify_theme_options[single_post_show_pagination]', array(
	'default'           => $options['single_post_show_pagination'],
	'sanitize_callback' => 'personify_sanitize_switch_control',
) );

$wp_customize->add_control( new Personify_Switch_Control( $wp_customize, 'personify_theme_options[single_post_show_pagination]', array(
	'label'             => esc_html__( 'Show Pagination', 'personify' ),
	'section'           => 'personify_single_post_section',
	'on_off_label' 		=> array(
		'on' 		=> esc_html__( 'Yes', 'personify' ),
		'off' 		=> esc_html__( 'No', 'personify' )
	)
) ) );

// Archive author category setting and control.
$wp_customize->add_setting( 'personify_theme_options[single_post_show_category]', array(
	'default'           => $options['single_post_show_category'],
	'sanitize_callback' => 'personify_sanitize_switch_control',
) );

$wp_customize->add_control( new Personify_Switch_Control( $wp_customize, 'personify_theme_options[single_post_show_category]', array(
	'label'             => esc_html__( 'Show Category', 'personify' ),
	'section'           => 'personify_single_post_section',
	'on_off_label' 		=> array(
		'on' 		=> esc_html__( 'Yes', 'personify' ),
		'off' 		=> esc_html__( 'No', 'personify' )
	)
) ) );

// Archive tag category setting and control.
$wp_customize->add_setting( 'personify_theme_options[single_post_show_tags]', array(
	'default'           => $options['single_post_show_tags'],
	'sanitize_callback' => 'personify_sanitize_switch_control',
) );

$wp_customize->add_control( new Personify_Switch_Control( $wp_customize, 'personify_theme_options[single_post_show_tags]', array(
	'label'             => esc_html__( 'Show Tag', 'personify' ),
	'section'           => 'personify_single_post_section',
	'on_off_label' 		=> array(
		'on' 		=> esc_html__( 'Yes', 'personify' ),
		'off' 		=> esc_html__( 'No', 'personify' )
	)
) ) );

// Archive tag category setting and control.
$wp_customize->add_setting( 'personify_theme_options[single_post_show_comments]', array(
	'default'           => $options['single_post_show_comments'],
	'sanitize_callback' => 'personify_sanitize_switch_control',
) );

$wp_customize->add_control( new Personify_Switch_Control( $wp_customize, 'personify_theme_options[single_post_show_comments]', array(
	'label'             => esc_html__( 'Show Comments Meta', 'personify' ),
	'section'           => 'personify_single_post_section',
	'on_off_label' 		=> array(
		'on' 		=> esc_html__( 'Yes', 'personify' ),
		'off' 		=> esc_html__( 'No', 'personify' )
	)
) ) );
