<?php
/**
* Customizer validation functions
*
* @package Theme Palace
* @subpackage Personify
* @since Personify 0.1
*/

if ( ! function_exists( 'personify_validate_long_excerpt' ) ) :
    function personify_validate_long_excerpt( $validity, $value ){
        $value = intval( $value );
        if ( empty( $value ) || ! is_numeric( $value ) ) {
            $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'personify' ) );
        } elseif ( $value < 5 ) {
            $validity->add( 'min_no_of_words', esc_html__( 'Minimum no of words is 5', 'personify' ) );
        } elseif ( $value > 100 ) {
            $validity->add( 'max_no_of_words', esc_html__( 'Maximum no of words is 100', 'personify' ) );
        }
        return $validity;
    }
endif;

if ( ! function_exists( 'personify_validate_post_id' ) ) :
    function personify_validate_post_id( $validity, $value ){
        $value = intval( $value );
        if ( empty( $value ) || ! is_numeric( $value ) ) {
            $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'personify' ) );
        } elseif ( $value < 1 ) {
            $validity->add( 'min_value', esc_html__( 'Minimum value is 1', 'personify' ) );
        } 
        return $validity;
    }
endif;
