<?php
/**
 * The template for displaying all single posts.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#single-post
 *
 * @package Theme Palace
 * @subpackage Personify
 * @since Personify 0.1
 */

get_header(); 

/**
 * personify_simple_breadcrumb_action hook
 *
 * @hooked personify_add_breadcrumb -  10
 *
 */
do_action( 'personify_simple_breadcrumb_action' );
?>

<div id="page-title" class="relative">
    <div class="wrapper">
        <header class="page-header">
        
			<?php
			the_title( '<h2 class="entry-title">', '</h2>' );

			if ( 'post' === get_post_type() ) : ?>
				<div class="entry-meta">
					<?php personify_posted_on(); ?>
				</div><!-- .entry-meta -->
			<?php endif; ?>
		</header><!-- .entry-header -->
    </div><!-- .wrapper -->
</div><!-- #page-title -->

<div class="wrapper page-section">
	<div id="primary" class="content-area">
		<main id="main" class="site-main" role="main">
			<?php
			while ( have_posts() ) : the_post();

				get_template_part( 'template-parts/content', 'single' );

				/**
				* Hook personify_author_profile_action
				*  
				* @hooked personify_get_author_profile 
				*/
				do_action( 'personify_author_profile_action' );

				/**
				* Hook personify_action_post_pagination
				*  
				* @hooked personify_post_pagination 
				*/
				do_action( 'personify_action_post_pagination' );

				// If comments are open or we have at least one comment, load up the comment template.
				if ( comments_open() || get_comments_number() ) :
					comments_template();
				endif;

			endwhile; // End of the loop.
			?>
		</main><!-- #main -->
	</div><!-- #primary -->
</div><!-- .wrapper -->

<?php
get_footer();
